local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L, _, ns = {}, ...
setmetatable(L, { __index = function(t, k) t[k] = k return k end })
ns.L = L

--Localization table managed via CurseForge.
--  Please feel free to suggest updates / corrections to the localizations below via 
--  http://wow.curseforge.com/addons/fishing-shack-pro/localization/
--
--  Special thanks to the following individuals for their assistance in translations / localizations:
--  German (deDE)
--  pas06: http://wow.curseforge.com/profiles/pas06/ 
--  laurenz1337: http://wow.curseforge.com/profiles/laurenz1337/

local CURRENT_LOCALE = GetLocale()
-- English (enUS)
if CURRENT_LOCALE == "enUS" then return end

-- Brazilian Portuguese (ptBR)
if CURRENT_LOCALE == "ptBR" then
L["Now using"] = "Agor vestindo"
L["replaced by"] = "foi substituído com"
L["UPGRADE!"] = "ATUALIZAÇÃO"
end

-- French (frFR)
if CURRENT_LOCALE == "frFR" then
L["Now using"] = "Maintenant porter"
L["replaced by"] = "a été remplacé par"
L["UPGRADE!"] = "SURCLASSEMENT!"
end

-- German (deDE)
if CURRENT_LOCALE == "deDE" then
L["commands"] = "Befehle"
L["enable the addon"] = "Addon aktivieren"
L["No"] = "Nein"
L["Now using"] = "Trage jetzt"
L["OFF"] = "AUS"
L["ON"] = "EIN"
L["replace poles with active bait applied"] = "Ruten, die mit einem Köder ausgestattet sind, ersetzen"
L["replaced by"] = "wurde ersetzt durch"
L["UPGRADE!"] = "VERBESSERUNG!"
L["Yes"] = "Ja"
end

-- Italian (itIT)
if CURRENT_LOCALE == "itIT" then
L["Now using"] = "ora indossa"
L["replaced by"] = "sostituito da"
L["UPGRADE!"] = "UPGRADE !"
end

-- Korean (koKR)
if CURRENT_LOCALE == "koKR" then
end

-- Latin American Spanish (esMX)
if CURRENT_LOCALE == "esMX" then
L["commands"] = "las ordens"
L["enable the addon"] = "permitir al addon"
L["No"] = "No"
L["Now using"] = "ahora llevaba"
L["OFF"] = "APAGADO"
L["ON"] = "ENCENDIDO"
L["replace poles with active bait applied"] = "sustituye las cañas de pescar con cebo"
L["replaced by"] = "reemplazado con"
L["UPGRADE!"] = "MODERNIZACIÓN"
L["Yes"] = "Si"
end

-- Russian (ruRU)
if CURRENT_LOCALE == "ruRU" then
end

-- Simplified Chinese (zhCN)
if CURRENT_LOCALE == "zhCN" then
end

-- Spanish (esES)
if CURRENT_LOCALE == "esES" then
L["commands"] = "las ordens"
L["enable the addon"] = "permitir al addon"
L["No"] = "No"
L["Now using"] = "ahora llevaba"
L["OFF"] = "APAGADO"
L["ON"] = "ENCENDIDO"
L["replace poles with active bait applied"] = "sustituye las cañas de pescar con cebo"
L["replaced by"] = "fue reemplazado con"
L["UPGRADE!"] = "MODERNIZACIÓN"
L["Yes"] = "Si"
end

-- Traditional Chinese (zhTW)
if CURRENT_LOCALE == "zhTW" then
end
